Avatar

MLF1 unter PHP 7.2.17 und es läuft (nach erstem Augenschein) (General)

by Auge ⌂ @, Monday, April 08, 2019, 12:56 (134 days ago) @ Alfie

Hallo Alfie

Ich habe den aktuellen Entwicklungsbranch v1.7.8 als Neuinstallation nach einigem Hickhack (dazu gleich mehr) unter PHP 7.2.17 mit MySQL 5.7.25 erfolgreich installieren können.


Gratulation!

Danke. :-) Die nötigen Korrekturen sind im Übrigen doch recht umfangreich. Im Installationsskript handelte es sich nur vier oder fünf Stellen. Ich finde aber aktuell hier und da weitere Probleme. Neben Parserfehlern wegen falsch gesetzen Klammern, die beim copy'n'paste zustandekamen, ist wohl das auffällgste Problem, dass ich kein Posting speichern kann. Das Skript posting.php wirft einen MySQL-Error, was mich vermuten lässt, dass der Query eine unegale Anzahl von Feldern speichern will oder an irgendeiner Stelle ein Anführungszeichen zu wenig oder zu viel da ist.

Das zu ergründen braucht Zeit und Ruhe. Die Im Laufe der Zeit in der 1.8-er Beta mit viel Fleißarbeit erstellte recht übersichtliche Formatierung habe ich ja im neuen Entwicklungsbranch nicht mehr.

Ich kann mich – diese Info richtet sich speziell an Alfie – auch im Forum anmelden.


Ich inzwischen auch. Irgendwo vergessen einen Parameter zu übergeben.

Hmmpf …

@Alfie: Da ich nun bestätigen kann, dass MLF1 unter PHP 7.2 grundsätzlich und inklusive Login funktioniert, muss diesbezüglich bei dir noch etwas anderes im Argen liegen.


Das tut es. Durch meine Verschlimmbesserungen zwickt’s noch hier und dort.

Ich hoffe, du kannst die Probleme lösen. Wenn Fragen aufkommen, frag' (auch) hier.

Tschö, Auge

--
Trenne niemals Müll, denn er hat nur eine Silbe!


Complete thread:

 RSS Feed of thread

powered by my little forum